<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="3d625d39-e01c-4cdb-a118-b6b850d2db2a" name="Changes" comment="first commit" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="FxmlFile" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\mvn_repository" />
        <option name="mavenHome" value="Use Maven wrapper" />
        <option name="showDialogWithAdvancedSettings" value="true" />
        <option name="useMavenConfig" value="true" />
        <option name="userSettingsFile" value="D:\Software\apache-maven-3.6.1\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="enabledProfiles">
      <list>
        <option value="local" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="2FKcrEf74Sqqi7h9gH28BU8Eb7a" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="false" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "RequestMappingsPanelOrder0": "0",
    "RequestMappingsPanelOrder1": "1",
    "RequestMappingsPanelWidth0": "75",
    "RequestMappingsPanelWidth1": "75",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "WebServerToolWindowFactoryState": "false",
    "jdk.selected.JAVA_MODULE": "1.8",
    "last_directory_selection": "D:/TH_workspace/tuoheng_oidc/Spring_Authorization_Server/src/test/java",
    "last_opened_file_path": "D:/TH_workspace/tuoheng_oidc/Spring_Authorization_Server/src/main/resources",
    "nodejs_package_manager_path": "npm",
    "project.structure.last.edited": "Modules",
    "project.structure.proportion": "0.15",
    "project.structure.side.proportion": "0.3348666",
    "settings.editor.selected.configurable": "MavenSettings",
    "spring.configuration.checksum": "4aaf3b561721ae338572fef3b1b36b8c"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\TH_workspace\tuoheng_oidc\Spring_Authorization_Server\src\main\resources" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.tuoheng.until" />
    </key>
  </component>
  <component name="RunManager" selected="Spring Boot.SpringAuthorizationServerApplication">
    <configuration name="CryptoUtil" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.tuoheng.until.CryptoUtil" />
      <module name="Spring_Authorization_Server" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuoheng.until.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ApplicationTests" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Spring_Authorization_Server" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuoheng.config.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.tuoheng.config" />
      <option name="MAIN_CLASS_NAME" value="com.tuoheng.config.ApplicationTests" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SpringAuthorizationServerApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="Spring_Authorization_Server" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.tuoheng.SpringAuthorizationServerApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ApplicationTests" />
        <item itemvalue="Application.CryptoUtil" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3d625d39-e01c-4cdb-a118-b6b850d2db2a" name="Changes" comment="" />
      <created>1664244413973</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1664244413973</updated>
      <workItem from="1664244415262" duration="6124000" />
      <workItem from="1664262363401" duration="7308000" />
      <workItem from="1664277836289" duration="66000" />
      <workItem from="1664324718566" duration="19196000" />
      <workItem from="1664410795083" duration="15879000" />
      <workItem from="1664497850782" duration="24541000" />
      <workItem from="1665190006394" duration="12411000" />
    </task>
    <task id="LOCAL-00001" summary="first commit">
      <created>1664245217656</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1664245217656</updated>
    </task>
    <task id="LOCAL-00002" summary="first commit">
      <created>1664245344567</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1664245344567</updated>
    </task>
    <task id="LOCAL-00003" summary="first commit">
      <created>1664266153862</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1664266153862</updated>
    </task>
    <task id="LOCAL-00004" summary="first commit">
      <created>1664270850485</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1664270850485</updated>
    </task>
    <task id="LOCAL-00005" summary="first commit">
      <created>1664328605978</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1664328605978</updated>
    </task>
    <task id="LOCAL-00006" summary="first commit">
      <created>1664332370111</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1664332370111</updated>
    </task>
    <task id="LOCAL-00007" summary="first commit">
      <created>1664342000639</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1664342000639</updated>
    </task>
    <task id="LOCAL-00008" summary="first commit">
      <created>1664415968397</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1664415968398</updated>
    </task>
    <task id="LOCAL-00009" summary="first commit">
      <created>1664416192991</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1664416192991</updated>
    </task>
    <task id="LOCAL-00010" summary="first commit">
      <created>1664501707719</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1664501707719</updated>
    </task>
    <task id="LOCAL-00011" summary="first commit">
      <created>1664516181337</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1664516181337</updated>
    </task>
    <task id="LOCAL-00012" summary="first commit">
      <created>1665195189771</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1665195189771</updated>
    </task>
    <task id="LOCAL-00013" summary="first commit">
      <created>1665195248223</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1665195248223</updated>
    </task>
    <option name="localTasksCounter" value="14" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="first commit" />
    <option name="LAST_COMMIT_MESSAGE" value="first commit" />
  </component>
</project>